Name:           openpace
Version:        1.1.3
Release:        0%{?dist}
Summary:        Cryptographic library for EAC version 2

License:        GPL-3.0-only
URL:            https://frankmorgner.github.io/openpace/
Source:         https://github.com/frankmorgner/openpace/releases/download/%{version}/openpace-%{version}.tar.gz
Patch1:         openpace-1.1.3-unsupported-tests.patch

BuildRequires:  autoconf automake libtool gcc
BuildRequires:  openssl openssl-devel

%description
OpenPACE implements Extended Access Control (EAC) version 2 as specified in
BSI TR-03110. OpenPACE comprises support for Password Authenticated Connection
Establishment (PACE), Terminal Authentication (TA), and Chip Authentication (CA)
protocols. Its also supports Card Verifiable Certificates (CV Certificates)
and signing requests as well as easy to use wrappers for using the established
secure channels.

%prep
%setup -q
%patch 1 -p1 -b .unsupported-tests

%build	
autoreconf -fvi
%set_build_flags
CFLAGS="$CFLAGS -Wno-deprecated-declarations"
%configure --disable-static
%make_build

%check
make check

%install
%make_install

find $RPM_BUILD_ROOT%{_libdir} -type f -name "*.la" | xargs rm

# Remove the example and test files
rm -rf %{buildroot}%{_bindir}/example
rm -rf %{buildroot}%{_bindir}/eactest

# Remove doc files
rm -rf %{buildroot}%{_docdir}/openpace/

%files
%license COPYING
%{_bindir}/cvc-create
%{_bindir}/cvc-print
%{_libdir}/libeac.so*
%{_libdir}/pkgconfig/*.pc
%{_sysconfdir}/eac/cvc/DECVCAEPASS00102
%{_sysconfdir}/eac/cvc/DECVCAeID00102
%{_sysconfdir}/eac/cvc/DECVCAeSign00102
%{_sysconfdir}/eac/x509/ff3d20d2
%{_mandir}/man1/cvc*
%{_includedir}/eac/*

%changelog
* Tue May 09 2024 Veronika Hanulikova <vhanulik@redhat.com> - 1.1.3-0
- First build.